function delegate(){
  tabs();
  configure_form_tabs_css();
  global_tooltips();
  global_dropdowns();
  global_checkboxes();
  file_upload();
	multiselect_modal();
  if(typeof custom_delegate === "function"){
    custom_delegate();
  }
}

function tabs(){
  var form_tabs = $('ul.form-tabs');

  if(form_tabs.length){
    form_tabs.on("click","a", function (e){
      e.preventDefault();
      $(this).tab('show');
    });
  }
}

function configure_form_tabs_css(){
  var form_tabs = $('ul.form-tabs');

  if(form_tabs.length){
    var tabs_content_height = $(window).height() - form_tabs.offset().top - 191;
    form_tabs.next('div.tab-content').attr('style', 'min-height:' + tabs_content_height + 'px');
  }
}

function global_tooltips(){
  $('label[title!=""], th[title!=""]').qtip({
    position: {
      my: 'bottom center',
      at: 'top center'
    }
  });

  $('legend[title!=""]').qtip({
    position: {
      my: 'bottom left',
      at: 'top left'
    }
  });
}

function global_dropdowns(){
  $("select.selectize").selectize();
}

function global_checkboxes(){
  $('input[type="checkbox"]').iCheck({
    checkboxClass: 'icheckbox_square-blue',
    radioClass: 'iradio_square-blue',
    increaseArea: '20%'
  })
}

function file_upload() {
  $(".fileupload input[type='file']").on("change", function () {
    $(this).closest(".fileupload").find(".form-control").html(this.value);
  })
}