function repeatable(form_id, identifier, after_add, before_add){
  var frm = $("#" + form_id);

  var element = frm.find("#rep-" + identifier);
  var template =  "#"+ form_id +" #" + identifier;
  var add_trigger = "#"+ form_id + " #rep-tbl-" + identifier + " .add";
  var del_trigger = ".delete";
  var item_container = "#"+ form_id + " #rep-tbl-" + identifier + " .field-group";
  var a_add = function() {};
  var b_add = function () {};
  if(typeof after_add === 'function'){
    a_add = after_add;
  }

  if(typeof before_add === 'function'){
    b_add = before_add;
  }

  $(element).repeatable({
    addTrigger: add_trigger,
    deleteTrigger: del_trigger,
    template: template,
    startWith: 0,
    itemContainer: item_container,
    afterAdd: a_add,
    beforeAdd : b_add
  });
}