$(function () {
  var form = $("#form-ei_rates");
  var action = form.find("select#action_type");
  var install_btn = form.find("button.install");
  var download_btn = form.find("button.download");

  ei_rates_actions_interaction(form, action.val());
  action.on('change', function () {
    ei_rates_actions_interaction(form, $(this).val());
  });

  download_btn.on('click', function () {
    var action = form.find("input[name=download_action]").val();
    var filename = $(this).attr('data-file');

    virtual_submit("rate="+ filename +"&action=" + action);
  });

  install_btn.on('click', function () {
    var action = form.find("input[name=install_action]").val();
    var filename = $(this).attr('data-file');

    virtual_submit("rate="+ filename +"&action=" + action);
  });

});

function ei_rates_actions_interaction(form, action) {
  var country = form.find("select#country_id");
  var input_file = form.find("span[data-ifn=rates]");
  var cby = form.find("input#created_by");
  var description_file = form.find("input#description");

  switch (action){
    case 'export':
      $("div." + country.attr('data-fg')).show();
      $("div." + cby.attr('data-fg')).show();
      $("div." + description_file.attr('data-fg')).show();
      $("div." + input_file.attr('data-fg')).hide();
      break;

    case 'import':
      $("div." + country.attr('data-fg')).hide();
      $("div." + cby.attr('data-fg')).hide();
      $("div." + description_file.attr('data-fg')).hide();
      $("div." + input_file.attr('data-fg')).show();
      break;
  }

}