var destinations_form = $("#form-destinations");

$(function(){
  var chk_direct_rate = destinations_form.find('#direct_rate');

  direct_rate(chk_direct_rate.is(':checked'));
  chk_direct_rate.on('ifChecked', function(event){
    direct_rate(true);
  });

  chk_direct_rate.on('ifUnchecked', function(event){
    direct_rate(false);
  });

  var dest_p_group = destinations_form.find('select#prefix_groups');

  dest_p_group.multiSelect({
    selectableHeader: "<div class='c-ms-header'> <a href='#' class='c-pointer' id='select-all'>" + destination_mselect.s_all + "</a> </div>",
    selectionHeader: "<div class='c-ms-header'> <a href='#' class='c-pointer' id='deselect-all'>" + destination_mselect.des_all + "</a> </div>",
    selectableOptgroup: true
  });

  destinations_form.find('a#select-all').click(function(){
    dest_p_group.multiSelect('select_all');
  });

  destinations_form.find('a#deselect-all').click(function(){
    dest_p_group.multiSelect('deselect_all');
  });
});

function direct_rate(checked){
  var rate_fg = destinations_form.find('#rate_id').attr('data-fg');
  var schedule_fg = destinations_form.find('#schedule_cat_id').attr('data-fg');

  if(checked == true){
    $('div.' + rate_fg).show();
    $('div.' + schedule_fg).hide();
  }else{
    $('div.' + rate_fg).hide();
    $('div.' + schedule_fg).show();
  }
}
