$(function () {
	var form = $("#form-price-categories");
	var category_type = form.find('select#type');
	customer_rates_interaction(form, category_type.val());
	repeatable("form-price-categories", "customer_rates");

	category_type.on('change',function () {
		customer_rates_interaction(form, $(this).val());
	})
});

function customer_rates_interaction(form, value) {
	var customer_rates_content = form.find('div#customer-rates-content');
	switch (value){
		case 'carrier':
			customer_rates_content.hide();
			break;
		default:
			customer_rates_content.show();
			break;
	}
}
