var rep_container = $("#form-rates").find('tbody#rep-rate-stages');

$(function(){
	repeatable('form-rates', 'rate-stages',rate_stages_after_add);
	rep_container.find('input.duration').each(function(){
		build_intervals($(this),true);
	});
	rate_stages_after_add();
});

function rate_stages_after_add(){
	rep_container.find('input.duration').keyup(function() {
		build_intervals($(this));
	});
}

function build_intervals($this,set_value){
	var entered_value = $this.val();
	var tr = $this.closest('tr');
	var s_interval = tr.find('select.s_interval');
	var interval = tr.find('input.interval');

	s_interval.html('');

	if(!isNaN(entered_value)){
		var intervals = get_intervals(entered_value);
		$.each(intervals, function(i, v){
			var option = '<option value="'+ v +'">'+ v +'</option>';
			s_interval.append(option);
		});
	}

	if(set_value === true){
		s_interval.val(interval.val());
	}
}

function get_intervals(x){
	var intervals = [];
	for(i = 1; i < x ; i++){
		if (x % i == 0) {
			intervals.push((x / i));
		}
	}

	return intervals;
}
