select `controller_id` into @controller_id from `sonata_billing`.`module_controllers` where `controller` = 'core';

insert into `sonata_billing`.`controller_actions` (`controller_id`,`action`,`label`) values
  (@controller_id, 'about','about'),
  (@controller_id, 'check_for_update','check_for_update'),
  (@controller_id, 'run_update','run_update');

insert into `sonata_billing`.`role_permissions` (`role_id`, `action_id`)
    select
      `r`.`role_id`,
      `ca`.`action_id`
    from `sonata_billing`.`controller_actions` as `ca`
    left join `sonata_billing`.`roles` as `r` on (`r`.`name` != 'Guest')
    where `ca`.`controller_id` = @controller_id and `ca`.`action` in ('about', 'check_for_update', 'run_update');