use `sonata_billing`;

alter table `operators`
  add column `tenant_id` int unsigned null default null,
  add column `shared` enum('yes','no') not null default 'no';

alter table `extensions`
  add column `tenant_id` int unsigned null default null;

alter table `trunks`
  add column `tenant_id` int unsigned null default null;

alter table `users`
  add column `super_admin` enum('yes','no') not null default 'no' after `active_account`,
  add column `tenant_id` int unsigned null default null;

alter table `roles`
  add column `tenant_id` int unsigned null default null;

alter table `report_templates`
  add column `tenant_id` int unsigned null default null;

alter table `carrier_rates`
  add column `tenant_id` int unsigned null default null,
  add column `shared` enum('yes','no') not null default 'no';

alter table `customer_rates`
  add column `tenant_id` int unsigned null default null,
  add column `shared` enum('yes','no') not null default 'no';

alter table `cost_centers`
  add column `tenant_id` int unsigned null default null;

alter table `directory`
  add column `tenant_id` int unsigned null default null;

alter table `price_categories`
  add column `tenant_id` int unsigned null default null,
  add column `shared` enum('yes','no') not null default 'no';

alter table `report_filters`
  add column `tenant_id` int unsigned null default null;

alter table `report_scheduler`
  add column `tenant_id` int unsigned null default null;

alter table `system_permissions`
  add column `tenant_id` int unsigned null default null;

alter table `companies`
  add column `tenant_id` int unsigned null default null;

update `operators` set `tenant_id` = 1 where `tenant_id` is null;
update `operators` set `shared` = 'yes' where `default` = 'yes';

update `extensions` set `tenant_id` = 1 where `tenant_id` is null;

update `trunks` set `tenant_id` = 1 where `tenant_id` is null;

update `users` set `tenant_id` = 1 where `tenant_id` is null;
update `users` set `super_admin` = 'yes' where `user` = 'admin';

update `roles` set `tenant_id` = 1 where `tenant_id` is null;

update `report_templates` set `tenant_id` = 1 where `tenant_id` is null;

update `carrier_rates` set `tenant_id` = 1 where `tenant_id` is null;

update `customer_rates` set `tenant_id` = 1 where `tenant_id` is null;

update `cost_centers` set `tenant_id` = 1 where `tenant_id` is null;

update `directory` set `tenant_id` = 1 where `tenant_id` is null;

update `price_categories` set `tenant_id` = 1 where `tenant_id` is null;
update `price_categories` set `shared` = 'yes' where `default` = 'yes';

update `report_filters` set `tenant_id` = 1 where `tenant_id` is null;

update `report_scheduler` set `tenant_id` = 1 where `tenant_id` is null;

update `system_permissions` set `tenant_id` = 1 where `tenant_id` is null;

update sonata_billing.`companies` set `tenant_id` = 1 where `tenant_id` is null;