use `sonata_billing`;

insert into `roles` (`name`, `default`, `tenant_id`) values ('Tenant Administrator', 'yes', 1);

set @role_id = last_insert_id();

insert into `role_permissions` (`role_id`, `action_id`)
  select
    @role_id,
    `action_id`
  from `controller_actions`
  where `controller_id` in (
      select `controller_id` from `module_controllers` where `controller` in (
        'core', 'users', 'roles', 'system_permissions', 'operators', 'extensions', 'trunks', 'cost_centers', 'tariff_calc',
        'customer_rates', 'carrier_rates', 'company_settings', 'rep_filters', 'rep_builder', 'rep_scheduler', 'dashboard',
        'price_categories', 'directory')
   );