var loaded = false;
var app = new function(){
  this.first_load = function(){
    server_request('first_load');
  };

  this.aside_menu_interaction = function(){
    var left_menu = $('#aside-main-menu');

    left_menu.find('li > a').unbind('click');
    left_menu.find('li > a').on('click', function(){
      var action = $(this).attr('data-mod-menu');
      var btn = $("#right-menu-toggle");
      btn.hide();
      $('.current-active').removeClass('current-active');
      $(this).addClass('current-active');

      if(typeof action !== 'undefined'){
        btn.attr('data-action', action)
      }
    });
  };
  this.left_menu_toggle = function(){
    var btn = $("#toggle-app-menu");
    var sidebar_panel = $("#left-nav-sidebar");
    var backdrop = $("#navigation-backdrop");

    btn.unbind('click');
    btn.bind('click', function() {
      sidebar_panel.toggleClass('open');
      backdrop.toggleClass('show');
    });
  };
  this.right_menu_toggle = function(){
    var btn = $("#right-menu-toggle");
    var modules_menu = $("#aside-nav-right");
    var backdrop = $("#navigation-backdrop");

    btn.unbind('click');
    btn.on('click', function() {
      modules_menu.addClass('show');
      backdrop.addClass('show right');
      server_request($(this).attr('data-action'));
    });
  };
  this.backdrop_interaction = function () {
    var backdrop = $("#navigation-backdrop");
    var ww = $(window).width();
    var modules_menu = $("#aside-nav-right");
    var sidebar_panel = $("#left-nav-sidebar");

    backdrop.unbind('click');
    backdrop.bind('click', function(){
      if(ww > 768){
        modules_menu.removeClass('show');
        $(this).removeClass('show right');
      }else{
        modules_menu.removeClass('show');
        $(this).removeClass('show');
        sidebar_panel.removeClass('open');
      }
    });
  }
};

app.first_load();
mobile_interaction();

function custom_delegate(){
  app.aside_menu_interaction();
  app.right_menu_toggle();
  app.left_menu_toggle();
  app.backdrop_interaction();
  if(loaded === false) {
    mobile_interaction();
    loaded = true;
  }
}


function show_module_menu_btn(){
  $("#right-menu-toggle").show();
}

function close_right_sidebar(){
  var backdrop = $("#navigation-backdrop");
  var ww = $(window).width();
  var modules_menu = $("#aside-nav-right");
  var sidebar_panel = $("#left-nav-sidebar");

  modules_menu.removeClass('show');
  backdrop.removeClass('show right');
  if(ww <= 768){
    sidebar_panel.removeClass('open');
  }
}